Results 1 to 6 of 6

Thread: I cant add kde ppa repository

  1. #1
    Join Date
    Jul 2009
    Beans
    58

    Thumbs down I cant add kde ppa repository

    Hello

    I use kubuntu 12.10 and when I run this command...
    sudo add-apt-repository ppa:kubuntu-ppa/backports
    I have the error message below...
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 98, in get_ppa_info_from_lp
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
    File "/usr/lib/python3.2/urllib/request.py", line 139, in urlopen
    return opener.open(url, data, timeout)
    File "/usr/lib/python3.2/urllib/request.py", line 370, in open
    response = self._open(req, data)
    File "/usr/lib/python3.2/urllib/request.py", line 388, in _open
    '_open', req)
    File "/usr/lib/python3.2/urllib/request.py", line 348, in _call_chain
    result = func(*args)
    File "/usr/lib/python3.2/urllib/request.py", line 1176, in https_open
    context=self._context, check_hostname=self._check_hostname)
    File "/usr/lib/python3.2/urllib/request.py", line 1140, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
    File "/usr/lib/python3.2/http/client.py", line 970, in request
    self._send_request(method, url, body, headers)
    File "/usr/lib/python3.2/http/client.py", line 998, in _send_request
    self.putrequest(method, url, **skips)
    File "/usr/lib/python3.2/http/client.py", line 862, in putrequest
    self._output(request.encode('ascii'))
    UnicodeEncodeError: 'ascii' codec can't encode character '\u1e55' in position 39: ordinal not in range(128)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/bin/add-apt-repository", line 126, in <module>
    ppa_info = get_ppa_info_from_lp(user, ppa_name)
    File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 105, in get_ppa_info_from_lp
    import pycurl
    ImportError: No module named pycurl
    glauber@glauber-VirtualBox:~$ clear
    glauber@glauber-VirtualBox:~$ sudo add-apt-repository ppa:kubuntu-ppa/backṕorts
    Traceback (most recent call last):
    File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 98, in get_ppa_info_from_lp
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
    File "/usr/lib/python3.2/urllib/request.py", line 139, in urlopen
    return opener.open(url, data, timeout)
    File "/usr/lib/python3.2/urllib/request.py", line 370, in open
    response = self._open(req, data)
    File "/usr/lib/python3.2/urllib/request.py", line 388, in _open
    '_open', req)
    File "/usr/lib/python3.2/urllib/request.py", line 348, in _call_chain
    result = func(*args)
    File "/usr/lib/python3.2/urllib/request.py", line 1176, in https_open
    context=self._context, check_hostname=self._check_hostname)
    File "/usr/lib/python3.2/urllib/request.py", line 1140, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
    File "/usr/lib/python3.2/http/client.py", line 970, in request
    self._send_request(method, url, body, headers)
    File "/usr/lib/python3.2/http/client.py", line 998, in _send_request
    self.putrequest(method, url, **skips)
    File "/usr/lib/python3.2/http/client.py", line 862, in putrequest
    self._output(request.encode('ascii'))
    UnicodeEncodeError: 'ascii' codec can't encode character '\u1e55' in position 39: ordinal not in range(128)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/bin/add-apt-repository", line 126, in <module>
    ppa_info = get_ppa_info_from_lp(user, ppa_name)
    File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 105, in get_ppa_info_from_lp
    import pycurl
    ImportError: No module named pycurl
    Any solution?

  2. #2
    Join Date
    Jun 2005
    Location
    The Front 9
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: I cant add kde ppa repository

    Quote Originally Posted by glaubersm View Post
    Hello

    I use kubuntu 12.10 and when I run this command...


    I have the error message below...


    Any solution?


    That is Very Odd?
    Anyway try adding them with synaptic, undr settings> then Repositories,
    Then add them one at a time

    deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu quantal main
    deb-src http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu quantal main

    Or use your text editor and add them to
    etc/apt/sources


    By the way I had no errors adding them in terminal!

  3. #3
    Join Date
    Jun 2007
    Location
    Porirua, New Zealand
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: I cant add kde ppa repository

    Thread moved to General Help.
    Not a "+1" support request.
    Forum DOs and DON'Ts
    Never assume that information you find using a search engine is up-to-date.

  4. #4
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 15.04 Vivid Vervet

    Re: I cant add kde ppa repository

    Do you have the package python-software-properties installed?

  5. #5
    Join Date
    Jul 2009
    Beans
    58

    Re: I cant add kde ppa repository

    Quote Originally Posted by runrickus View Post
    deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu quantal main
    deb-src http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu quantal main

    Or use your text editor and add them to
    etc/apt/sources
    thanks, your tip + the command below solved my problem
    sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 2836CB0A8AC93F7A
    Quote Originally Posted by oldos2er View Post
    Do you have the package python-software-properties installed?
    No.

    Thanks, guys.

  6. #6
    Join Date
    Aug 2010
    Location
    Seattle, WA, USA
    Beans
    41
    Distro
    Kubuntu Development Release

    Re: I cant add kde ppa repository

    Quote Originally Posted by oldos2er View Post
    Do you have the package python-software-properties installed?
    In 12.10, add-apt-repository has been moved, and now requires Python 3:
    Code:
    steve@t520:~$ dpkg -S add-apt-repository
    software-properties-common: /usr/bin/add-apt-repository
    software-properties-common: /usr/share/man/man1/add-apt-repository.1.gz
    
    steve@t520:~$ apt-cache depends software-properties-common
    software-properties-common
      Depends: python3
      Depends: python3-gi
      Depends: gir1.2-glib-2.0
      Depends: python3-dbus
      Depends: python3-software-properties
      Depends: ca-certificates
      Breaks: python-software-properties
      Breaks: <python-software-properties:i386>
      Breaks: python3-software-properties
      Breaks: <python3-software-properties:i386>
      Replaces: python-software-properties
      Replaces: <python-software-properties:i386>
      Replaces: python3-software-properties
      Replaces: <python3-software-properties:i386>
    Using Kubuntu? Come join us at kubuntuforums.net

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •